<?php

declare(strict_types=1);

namespace App\Handler\Api;

use App\Service\AwardeeManager;
use Psr\Container\ContainerInterface;
use Psr\Http\Server\RequestHandlerInterface;

class AwardeeHandlerFactory
{
    public function __invoke(ContainerInterface $container): RequestHandlerInterface
    {
        $awardeeManager = $container->get(AwardeeManager::class);
        return new AwardeeHandler($awardeeManager);
    }
}
